using Microsoft.AspNetCore.Hosting.Server;
using Microsoft.AspNetCore.Hosting.Server.Features;

var builder = WebApplication.CreateBuilder(args);

// builder.WebHost.UseKestrel(serverOptions =>
// {
//     serverOptions.ListenAnyIP(4000);
//     serverOptions.ListenAnyIP(4001, listenOptions => listenOptions.UseHttps());
// });

// Add services to the container.

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var app = builder.Build();

//builder.WebHost.UseUrls("http://*:6000;https://*:6001");

// app.Urls.Add("http://*:7000");
// app.Urls.Add("https://*:7001");

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}
app.MapGet("/", () => "Hi there, the kestrel is running on ");

app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();